Critical

CVE-2009-0238 - Code Injection vulnerability in Microsoft products

Publication: 2009-02-25
Summary

Microsoft Office Excel 2000 SP3, 2002 SP3, 2003 SP3, and 2007 SP1; Excel Viewer 2003 Gold and SP3; Excel Viewer; Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats SP1; and Excel in Microsoft Office 2004 and 2008 for Mac allow remote attackers to execute arbitrary code via a crafted Excel document that triggers an access attempt on an invalid object, as exploited in the wild in February 2009 by Trojan.Mdropper.AC.

Classification
CWE-94: Code Injection

Risk level (CVSS 9.3)

Critical

9.3

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Microsoft Office Excel 2000
  • Microsoft Office Excel 2002
  • Microsoft Office Excel Viewer 2003
  • Microsoft Office Excel Viewer
  • Microsoft Office Excel Viewer 2003
  • Microsoft Excel Viewer
  • Microsoft Office Excel 2003
  • Microsoft Excel 2004
  • Microsoft Office Excel 2007
  • Microsoft Office Compatibility Pack 2007
  • Microsoft Office 2008